Index
All Classes and Interfaces|All Packages|Constant Field Values
A
- addAllBindings(Map<String, String>) - Method in class org.opengis.cite.kml22.util.NamespaceBindings
-
Adds all of the supplied namespace bindings to the existing set of entries.
- addError(Node, String, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.StyleTests
- addHrefError(Node, String, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.LinkTests
- addNamespaceBinding(String, String) - Method in class org.opengis.cite.kml22.util.NamespaceBindings
-
Adds a namespace binding that associates a namespace name with a prefix.
- ALT_MODE_CLAMP - Static variable in class org.opengis.cite.kml22.level2.Recommendations
-
ALT_MODE_CLAMP
- assertDescendantElementCount(Document, QName, int) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that the given XML entity contains the expected number of descendant elements having the specified name.
- assertQualifiedName(Node, QName) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that the qualified name of a DOM Node matches the expected value.
- assertReferentExists(String, Node, Client, String...) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that the resource identified by the given link element exists.
- assertReferentExists(URI, String, Client, String...) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that the resource identified by the given URI reference exists.
- assertSchematronValid(URL, Source) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that an XML resource satisfies all applicable constraints specified in a Schematron (ISO 19757-3) schema.
- assertSchemaValid(Validator, Source) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that an XML resource is schema-valid.
- assertValidEmailAddr(String) - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
Asserts that a given email address conforms to the "addr-spec" production in RFC 5322.
- assertValidIRI(String) - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
Asserts that a resource identifier is a valid internationalized resource identifier (IRI).
- assertValidUpdate(Node) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that the given kml:Update element is valid.
- assertXPath(String, Node, Map<String, String>) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that an XPath 1.0 expression holds true for the given evaluation context.
- assertXPath2(String, Source, Map<String, String>) - Static method in class org.opengis.cite.kml22.ETSAssert
-
Asserts that an XPath 2.0 expression evaluates to
truefor the given XML source. - ATOM - Static variable in class org.opengis.cite.kml22.Namespaces
-
Atom (RFC 4287)
B
- BaseFixture - Class in org.opengis.cite.kml22
-
A supporting base class that provides some common configuration methods.
- BaseFixture() - Constructor for class org.opengis.cite.kml22.BaseFixture
- buildClient() - Static method in class org.opengis.cite.kml22.util.ClientUtils
-
Builds a client component for interacting with HTTP endpoints.
- buildClientWithProxy(String, int) - Static method in class org.opengis.cite.kml22.util.ClientUtils
-
Constructs a client component that uses a specified web proxy.
- buildCoordinateArraySequence(Node) - Method in class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Builds a raw coordinate sequence from the tuples included in a given coordinates element.
- buildGetRequest(URI, Map<String, String>, MediaType...) - Static method in class org.opengis.cite.kml22.util.ClientUtils
-
Builds an HTTP request message that uses the GET method.
- buildSchematronValidator(String, String) - Static method in class org.opengis.cite.kml22.util.ValidationUtils
-
Constructs a SchematronValidator that will check an XML resource against the rules defined in a Schematron schema.
C
- checkAltitudeModeNotClampToGround(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
An error is reported if the geometry element has a kml:altitudeMode of "clampToGround" (default value) and the kml:extrude value is "true".
- checkAltMode(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
An error is reported if any kml:LatLonAltBox element's altitude children are present but the kml:altitudeMode == clampToGround (also the default value).
- checkAltValues(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
An error is reported if any kml:LatLonAltBox elements altitude children are invalid; kml:maxAltitude must be greater than or equal to kml:minAltitude.
- checkEmptyElementHasIdAttribute(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.KmlDocumentTests
-
An error is reported if any KML object is empty and does not have an id attribute.
- checkFragmentIdentifier(Node, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.StyleTests
-
An error is produced if a kml:styleUrl does not contain fragment identifier ("#").
- checkIndefiniteInterval(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.TemporalElementTests
-
An error is produced if any kml:TimeSpan elements does not have at least one of the required children, kml:begin or kml:end.
- checkInnerBoundaries(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
An error is reported if any inner boundary of a polygon is not within the outer boundary.
- checkInterval(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.TemporalElementTests
-
An error is produced if any kml:TimeSpan elements, which specify both a kml:begin and kml:end, specify an invalid interval (kml:begin is before kml:end).
- checkLatValues(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
An error is reported if any box elements having latitude children are invalid; kml:north must be greater than kml:south.
- checkLonValues(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
An error is reported if any box elements having longitude children are invalid; kml:east must be greater than kml:west.
- checkModelReferent(Element, URI, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.LinkTests
-
Checks that Link elements which are children of a kml:Model refer to a (3D) graphics resource.
- checkModelResourceMap(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
Checks the content of a model resource for the occurrence of the expected source file names given by aliases contained in a kml:ResourceMap.
- checkNetworkLinkReferent(Node, URI, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.LinkTests
-
Checks that the network link referent exists.
- checkOverlayIconReferent(Node, String, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.LinkTests
-
Checks that a link element occurring within a kml:Overlay element refers to an image resource.
- checkSimpleDataElements(Element, XdmNode, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
Checks that the content of a kml:SchemaData element conforms to the declarations in the referenced Schema.
- checkStyleTarget(Node, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.StyleTests
-
An error is produced if a kml:styleUrl does not refer to a valid style element (which substitutes for kml:AbstractStyleSelectorGroup).
- checkTiltRange(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.ViewTests
-
An error is reported if the value of the kml:tilt element (of type kml:anglepos180Type) is outside the valid range 0-90.
- checkUriScheme(Node, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.StyleTests
-
An error is produced if an absolute kml:styleUrl is not of a supported URI scheme (
http). - ClientUtils - Class in org.opengis.cite.kml22.util
-
Provides various utility methods for creating and configuring HTTP client components.
- ClientUtils() - Constructor for class org.opengis.cite.kml22.util.ClientUtils
- createElement(QName) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Creates a new Element having the specified qualified name.
- createKMLSchema() - Static method in class org.opengis.cite.kml22.util.ValidationUtils
-
Creates a single Schema object representing the complete set of XML Schema constraints that apply to KML 2.2 documents.
D
- deprecatedElements() - Method in class org.opengis.cite.kml22.level3.Options
-
[
Test] Checks for the occurrence of deprecated elements. - dereferenceURI(URI) - Static method in class org.opengis.cite.kml22.util.URIUtils
-
Dereferences the given URI and stores the resulting resource representation in a local file.
- DOC_ELEMENT - Static variable in class org.opengis.cite.kml22.KML22
-
Local name of the root element in a KML document.
- doTestRun(Document) - Method in class org.opengis.cite.kml22.TestNGController
E
- EMPTY_STRING - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
EMPTY_STRING="EmptyString" - EPSG_4326 - Static variable in class org.opengis.cite.kml22.KML22
-
KML coordinate reference system (see OGC 07-147r2, Annex B).
- ErrorMessage - Class in org.opengis.cite.kml22
-
Utility class for retrieving and formatting localized error messages that describe failed assertions.
- ErrorMessage() - Constructor for class org.opengis.cite.kml22.ErrorMessage
- ErrorMessageKeys - Class in org.opengis.cite.kml22
-
Defines keys used to access localized messages for assertion errors.
- ErrorMessageKeys() - Constructor for class org.opengis.cite.kml22.ErrorMessageKeys
- ETS_LOGGER_NAME - Static variable in class org.opengis.cite.kml22.util.TestSuiteLogger
-
Constant
ETS_LOGGER_NAME="org.opengis.cite.kml22" - ETSAssert - Class in org.opengis.cite.kml22
-
Provides a set of custom assertion methods.
- evaluateXPath(Node, String, Map<String, String>) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Evaluates an XPath 1.0 expression using the given context and returns the result as a node set.
- evaluateXPath(Node, String, Map<String, String>, QName) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Evaluates an XPath 1.0 expression using the given context and returns the result as the specified type.
- evaluateXPath2(Source, String, Map<String, String>) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Evaluates an XPath 2.0 expression using the Saxon s9api interfaces.
- extractKMLFromArchive(File) - Static method in class org.opengis.cite.kml22.util.KMLUtils
-
Extracts the contents of the given ZIP archive and parses the first root-level KML document found within it.
- extractSchemaReference(Source, String) - Static method in class org.opengis.cite.kml22.util.ValidationUtils
-
Extracts an XML Schema reference from a source XML document.
F
- FeatureTests - Class in org.opengis.cite.kml22.level1
-
Contains test methods that verify constraints applicable to KML features, including: Document Folder NetworkLink Placemark GroundOverlay PhotoOverlay ScreenOverlay
- FeatureTests() - Constructor for class org.opengis.cite.kml22.level1.FeatureTests
- filter(ClientRequestContext, ClientResponseContext) - Method in class org.opengis.cite.kml22.ReusableEntityFilter
- format(String, Object...) - Static method in class org.opengis.cite.kml22.ErrorMessage
-
Produces a formatted error message using the supplied substitution arguments and the current locale.
G
- get(String) - Static method in class org.opengis.cite.kml22.ErrorMessage
-
Retrieves a simple message according to the current locale.
- getAllBindings() - Method in class org.opengis.cite.kml22.util.NamespaceBindings
-
Returns an unmodifiable view of the declared namespace bindings.
- getCode() - Method in class org.opengis.cite.kml22.TestNGController
- getElementsByNamespaceURI(Node, String) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Returns a List of all descendant Element nodes having the specified [namespace name] property.
- getFieldType(Element) - Method in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
Determines the data type declared for a given kml:SimpleField element.
- getLinkHref(Element, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.level1.LinkTests
-
Gets the value of the child kml:href element in a Link element.
- getLogger() - Static method in class org.opengis.cite.kml22.util.TestSuiteLogger
-
Finds or creates the test suite logger.
- getName() - Method in enum class org.opengis.cite.kml22.SuiteAttribute
-
getName.
- getNamespaceURI(String) - Method in class org.opengis.cite.kml22.util.NamespaceBindings
- getPrefix(String) - Method in class org.opengis.cite.kml22.util.NamespaceBindings
- getPrefixes(String) - Method in class org.opengis.cite.kml22.util.NamespaceBindings
- getResponseEntityAsDocument(Response, String) - Static method in class org.opengis.cite.kml22.util.ClientUtils
-
Obtains the (XML) response entity as a DOM Document and resets the entity input stream for subsequent reads.
- getResponseEntityAsSource(Response, String) - Static method in class org.opengis.cite.kml22.util.ClientUtils
-
Obtains the (XML) response entity as a JAXP Source object and resets the entity input stream for subsequent reads.
- getTitle() - Method in class org.opengis.cite.kml22.TestNGController
- getType() - Method in enum class org.opengis.cite.kml22.SuiteAttribute
-
getType.
- getVersion() - Method in class org.opengis.cite.kml22.TestNGController
- getXPointer(Node) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Determines the absolute location path of a node in a DOM document.
- GML - Static variable in class org.opengis.cite.kml22.Namespaces
-
ISO 19136 (GML 3.2)
H
- HTTP_QUERY_PARAMS - Static variable in class org.opengis.cite.kml22.level2.Recommendations
-
List of supported httpQuery parameters.
I
- ICS - Enum constant in enum class org.opengis.cite.kml22.TestRunArg
-
An integer value denoting the conformance level to check.
- initHttpClient() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
Initializes the HTTP client component.
- isLoggable(Level) - Static method in class org.opengis.cite.kml22.util.TestSuiteLogger
-
Indicates if the logger is enabled at a given logging level.
- IUT - Enum constant in enum class org.opengis.cite.kml22.TestRunArg
-
An absolute URI that refers to a representation of the test subject or metadata about it.
K
- KML_MEDIA_TYPE - Static variable in class org.opengis.cite.kml22.KML22
-
KML media type (see http://www.iana.org/assignments/media-types/application).
- KML_SCHEMA - Enum constant in enum class org.opengis.cite.kml22.SuiteAttribute
-
An immutable Schema object representing the complete KML 2.2 schema.
- KML22 - Class in org.opengis.cite.kml22
-
Contains various constants pertaining to KML 2.2 documents.
- KML22 - Static variable in class org.opengis.cite.kml22.Namespaces
-
KML 2.2
- KmlDocumentTests - Class in org.opengis.cite.kml22.level1
-
Contains fundamental test methods that apply to any KML document as a whole.
- KmlDocumentTests() - Constructor for class org.opengis.cite.kml22.level1.KmlDocumentTests
- KmlGeometryUnmarshaller - Class in org.opengis.cite.kml22.util
-
Unmarshals KML 2.x geometry representations (except
<Model>) from DOM sources to JTS Geometry objects. - KmlGeometryUnmarshaller() - Constructor for class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Creates an unmarshaller for KML 2.2 geometry elements.
- KmlGeometryUnmarshaller(String) - Constructor for class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Constructs an unmarshaller for KML geometry elements in the given target namespace.
- KMLUtils - Class in org.opengis.cite.kml22.util
-
Provides various utility methods for reading or manipulating KML and KMZ resources.
- KMLUtils() - Constructor for class org.opengis.cite.kml22.util.KMLUtils
- KMZ_MEDIA_TYPE - Static variable in class org.opengis.cite.kml22.KML22
-
KMZ media type.
L
- LEVEL - Enum constant in enum class org.opengis.cite.kml22.SuiteAttribute
-
An integer denoting the conformance level to check.
- Level2Tests - Class in org.opengis.cite.kml22.level2
-
Conformance Level 2 extends Level 1 by adding test cases covering recommended constraints that should be satisfied by a KML document.
- Level2Tests() - Constructor for class org.opengis.cite.kml22.level2.Level2Tests
- Level3Tests - Class in org.opengis.cite.kml22.level3
-
Conformance Level 3 extends Level 2 by adding test cases addressing constraints that fall into the category of "best practices" but are not essential in every circumstance.
- Level3Tests() - Constructor for class org.opengis.cite.kml22.level3.Level3Tests
- LinkTests - Class in org.opengis.cite.kml22.level1
-
Contains test methods that apply to link elements and attributes that refer to various kinds of external resources.
- LinkTests() - Constructor for class org.opengis.cite.kml22.level1.LinkTests
- LOCAL_NAME - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
LOCAL_NAME="LocalName" - log(Level, String) - Static method in class org.opengis.cite.kml22.util.TestSuiteLogger
-
Logs a simple message at the specified logging level.
- log(Level, String, Exception) - Static method in class org.opengis.cite.kml22.util.TestSuiteLogger
-
Logs a message at the specified logging level with the given Exception object that represents a noteworthy error condition.
- log(Level, String, Object[]) - Static method in class org.opengis.cite.kml22.util.TestSuiteLogger
-
Logs a message at the specified logging level with the given message parameters.
M
- main(String[]) - Static method in class org.opengis.cite.kml22.TestNGController
-
A convenience method to facilitate test development.
- MISSING_ENTITY - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
MISSING_ENTITY="MissingEntity" - MISSING_INFOSET_ITEM - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
MISSING_INFOSET_ITEM="MissingInfosetItem"
N
- NAMESPACE_NAME - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
NAMESPACE_NAME="NamespaceName" - NamespaceBindings - Class in org.opengis.cite.kml22.util
-
Provides namespace bindings for evaluating XPath 1.0 expressions using the JAXP XPath API.
- NamespaceBindings() - Constructor for class org.opengis.cite.kml22.util.NamespaceBindings
- Namespaces - Class in org.opengis.cite.kml22
-
XML namespace names.
- NOT_SCHEMA_VALID - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
NOT_SCHEMA_VALID="NotSchemaValid" - NS_MAP - Static variable in class org.opengis.cite.kml22.BaseFixture
-
An immutable Map containing a KML namespace binding where the prefix is "kml"
- NS_NAME - Static variable in class org.opengis.cite.kml22.KML22
-
The namespace name for the KML 2.2 schema.
O
- obtainTestSubject(ITestContext) - Method in class org.opengis.cite.kml22.BaseFixture
-
Obtains the test subject from the ISuite test context.
- onExecutionFinish() - Method in class org.opengis.cite.kml22.TestRunListener
- onExecutionStart() - Method in class org.opengis.cite.kml22.TestRunListener
- onFinish(ISuite) - Method in class org.opengis.cite.kml22.SuiteFixtureListener
- onStart(ISuite) - Method in class org.opengis.cite.kml22.SuiteFixtureListener
- Options - Class in org.opengis.cite.kml22.level3
-
Contains test methods for various optional constraints that may be satisfied by a KML instance.
- Options() - Constructor for class org.opengis.cite.kml22.level3.Options
- org.opengis.cite.kml22 - package org.opengis.cite.kml22
-
The root package includes supporting classes of general utility such as the main controller, listeners, and reporters.
- org.opengis.cite.kml22.level1 - package org.opengis.cite.kml22.level1
-
Conformance Level 1 includes test cases corresponding to absolute requirements.
- org.opengis.cite.kml22.level2 - package org.opengis.cite.kml22.level2
-
Conformance Level 2 includes all Level 1 tests and adds test cases covering requirements that should be satisfied by a KML document; these have the force of a recommendation, not an absolute requirement.
- org.opengis.cite.kml22.level3 - package org.opengis.cite.kml22.level3
-
Conformance Level 3 includes all Level 2 tests and adds test cases covering requirements that may be satisfied by a KML document.
- org.opengis.cite.kml22.util - package org.opengis.cite.kml22.util
-
This package includes miscellaneous utility classes to support testing.
- OWS - Static variable in class org.opengis.cite.kml22.Namespaces
-
OGC 06-121r3 (OWS 1.1)
P
- parseDateTime(String) - Method in class org.opengis.cite.kml22.level1.TemporalElementTests
-
Parses a string representing an instant in time as an ISO 8601 DateTime object.
- parseURI(URI) - Static method in class org.opengis.cite.kml22.util.URIUtils
-
Parses the content of the given URI as an XML document and returns a new DOM Document object.
- processSuiteParameters(ISuite) - Method in class org.opengis.cite.kml22.SuiteFixtureListener
-
Processes test suite arguments and sets suite attributes accordingly.
R
- readImageDataFromURI(URI) - Method in class org.opengis.cite.kml22.level1.LinkTests
-
Attempts to create a BufferedImage using the data retrieved from some URI.
- Recommendations - Class in org.opengis.cite.kml22.level2
-
Contains test methods for various recommended constraints that should be satisfied by a KML instance.
- Recommendations() - Constructor for class org.opengis.cite.kml22.level2.Recommendations
- removeParameters(MediaType) - Static method in class org.opengis.cite.kml22.util.ClientUtils
-
Creates a copy of the given MediaType object but without any parameters.
- replaceImageTileParams(String) - Static method in class org.opengis.cite.kml22.util.URIUtils
-
Replaces all image tile parameter references in the given URI with the numeric value 0 (zero).
- resolveRelativeURI(String, String) - Static method in class org.opengis.cite.kml22.util.URIUtils
-
Constructs an absolute URI from the given URI reference and a base URI.
- ReusableEntityFilter - Class in org.opengis.cite.kml22
-
Buffers the (response) entity so it can be read multiple times.
- ReusableEntityFilter() - Constructor for class org.opengis.cite.kml22.ReusableEntityFilter
- runConformanceLevel2(ITestContext) - Method in class org.opengis.cite.kml22.level2.Level2Tests
-
Checks if any conformance level 2 tests will be run.
- runConformanceLevel3(ITestContext) - Method in class org.opengis.cite.kml22.level3.Level3Tests
-
Checks if conformance level 3 tests will be run.
S
- schemaHasIdAttribute() - Method in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
[
Test] Verifies that a kml:Schema element has an 'id' attribute value. - setTestSubject(Document) - Method in class org.opengis.cite.kml22.BaseFixture
-
Sets the test subject (intended only to facilitate unit testing).
- SIMPLE_FIELD_TYPES - Static variable in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
List of XML Schema data types that may be used to define simple fields.
- SOAP_ENV - Static variable in class org.opengis.cite.kml22.Namespaces
-
SOAP 1.2 message envelopes.
- SpatialTests - Class in org.opengis.cite.kml22.level1
-
Contains test methods that apply to spatial items in a KML resource such as geometry and bounding box elements.
- SpatialTests() - Constructor for class org.opengis.cite.kml22.level1.SpatialTests
- StyleRecommendations - Class in org.opengis.cite.kml22.level2
-
Contains test methods for checking recommended constraints that apply to style selectors (kml: Style and kml:StyleMap elements).
- StyleRecommendations() - Constructor for class org.opengis.cite.kml22.level2.StyleRecommendations
- StyleTests - Class in org.opengis.cite.kml22.level1
-
Contains test methods that apply to style definitions.
- StyleTests() - Constructor for class org.opengis.cite.kml22.level1.StyleTests
- SuiteAttribute - Enum Class in org.opengis.cite.kml22
-
An enumerated type defining ISuite attributes that may be set to constitute a shared test fixture.
- SuiteFixtureListener - Class in org.opengis.cite.kml22
-
A listener that performs various tasks before and after a test suite is run, usually concerned with maintaining a shared test suite fixture.
- SuiteFixtureListener() - Constructor for class org.opengis.cite.kml22.SuiteFixtureListener
T
- TemporalElementTests - Class in org.opengis.cite.kml22.level1
-
Contains test methods that apply to temporal elements (TimeSpan and TimeStamp).
- TemporalElementTests() - Constructor for class org.opengis.cite.kml22.level1.TemporalElementTests
- TEST_SUBJECT - Enum constant in enum class org.opengis.cite.kml22.SuiteAttribute
-
A DOM Document representation of the test subject or metadata about it.
- TestNGController - Class in org.opengis.cite.kml22
-
Main test run controller oversees execution of TestNG test suites.
- TestNGController() - Constructor for class org.opengis.cite.kml22.TestNGController
-
Default constructor uses the location given by the "user.home" system property as the root output directory.
- TestNGController(String) - Constructor for class org.opengis.cite.kml22.TestNGController
-
Construct a controller that writes results to the given output directory.
- TestRunArg - Enum Class in org.opengis.cite.kml22
-
An enumerated type defining all recognized test run arguments.
- TestRunListener - Class in org.opengis.cite.kml22
-
A listener that is invoked before and after a test run.
- TestRunListener() - Constructor for class org.opengis.cite.kml22.TestRunListener
- testSubject - Variable in class org.opengis.cite.kml22.BaseFixture
-
A DOM Document representing the main KML document
- TestSuiteLogger - Class in org.opengis.cite.kml22.util
-
Logging utility class that provides simple access to the JDK Logging API.
- toString() - Method in enum class org.opengis.cite.kml22.SuiteAttribute
- toString() - Method in enum class org.opengis.cite.kml22.TestRunArg
- toString() - Method in class org.opengis.cite.kml22.util.NamespaceBindings
- transform(Source, Node) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Transforms the content of a DOM Node using a specified XSLT stylesheet.
U
- UNEXPECTED_MEDIA_TYPE - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
UNEXPECTED_MEDIA_TYPE="UnexpectedMediaType" - UNEXPECTED_STATUS - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
UNEXPECTED_STATUS="UnexpectedStatus" - unmarshalKmlGeometry(Node) - Method in class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Creates a JTS geometry object from a KML 2.x geometry representation.
- unmarshalLinearRing(Element) - Method in class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Creates a LinearRing geometry object from a source KML2 LinearRing representation.
- unmarshalLineString(Element) - Method in class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Creates a LineString object from a KML2 LineString representation.
- unmarshalMultiGeometry(Element) - Method in class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Creates a GeometryCollection geometry object from a source KML2 MultiGeometry representation with one or more geometry members.
- unmarshalPoint(Element) - Method in class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Creates a Point geometry object from a source KML2 Point representation.
- unmarshalPolygon(Element) - Method in class org.opengis.cite.kml22.util.KmlGeometryUnmarshaller
-
Creates a Polygon geometry object from a source KML2 Polygon representation.
- UPDATE - Static variable in class org.opengis.cite.kml22.KML22
-
Local name of kml:Update element (specifies an addition, change, or deletion to KML data).
- URIUtils - Class in org.opengis.cite.kml22.util
-
Provides a collection of utility methods for manipulating or resolving URI references.
- URIUtils() - Constructor for class org.opengis.cite.kml22.util.URIUtils
- UserDefinedDataTests - Class in org.opengis.cite.kml22.level1
-
Contains test methods that verify constraints applicable to user-defined data elements and their corresponding definitions.
- UserDefinedDataTests() - Constructor for class org.opengis.cite.kml22.level1.UserDefinedDataTests
V
- validateCoordinateTuples(Node, int, ValidationErrorHandler) - Static method in class org.opengis.cite.kml22.util.ValidationUtils
-
Validates coordinate tuples by checking for (1) the occurrence of non-float values, (2) inconsistent tuple dimension, and (3) coordinates lying outside the valid lat/lon extent of the CRS.
- validateTestRunArgs(Document) - Method in class org.opengis.cite.kml22.TestNGController
-
Validates the given set of test run arguments.
- ValidationUtils - Class in org.opengis.cite.kml22.util
-
A utility class that provides convenience methods to support schema validation.
- ValidationUtils() - Constructor for class org.opengis.cite.kml22.util.ValidationUtils
- valueConformsToType(String, QName) - Method in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
Determines whether or not the given datum value conforms to a specified XML Schema datatype.
- valueOf(String) - Static method in enum class org.opengis.cite.kml22.SuiteAttribute
-
Returns the enum constant of this class with the specified name.
- valueOf(String) - Static method in enum class org.opengis.cite.kml22.TestRunArg
-
Returns the enum constant of this class with the specified name.
- values() - Static method in enum class org.opengis.cite.kml22.SuiteAttribute
-
Returns an array containing the constants of this enum class, in the order they are declared.
- values() - Static method in enum class org.opengis.cite.kml22.TestRunArg
-
Returns an array containing the constants of this enum class, in the order they are declared.
- verifyAltitudeIfNotClampToGround() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:coordinates or kml:Model/kml:Location element includes an altitude value if its sibling kml:altitudeMode element does NOT have the value "clampToGround". - verifyAltitudeInGroundOverlay() - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
[
Test] Verifies that a kml:GroundOverlay feature with an kml:altitudeMode value of "absolute" includes a kml:altitude element. - verifyAtomAuthor() - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
[
Test] Verifies that that an atom:author element satisfies all of the following constraints: the content of the atom:uri element is an IRI reference; the content of the atom:email element conforms to the "addr-spec" production in RFC 2822. - verifyAtomLink() - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
[
Test] Verifies that the value of the atom:link/@rel attribute is "related". - verifyBalloonStyleNotEmpty() - Method in class org.opengis.cite.kml22.level2.StyleRecommendations
-
[
Test] Verifies that if a kml:BalloonStyle element is not a descendant of kml:Update, it is not empty. - verifyCamera() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:Camera element satisfies all of the following constraints: if it is not a descendant of kml:Update, then the following child elements are present: kml:latitude, kml:longitude, and kml:altitude; the value of kml:altitudeMode is not "clampToGround". - verifyDocumentElement() - Method in class org.opengis.cite.kml22.level1.KmlDocumentTests
-
[
Test] Verify that the root element of the document has [local name] = "kml" and [namespace name] = "http://www.opengis.net/kml/2.2". - verifyElementNotEmpty(String, ValidationErrorHandler) - Method in class org.opengis.cite.kml22.BaseFixture
-
Checks that the KML element with the specified local name has one or more child KML elements if it is not a descendant of kml:Update.
- verifyEmptyObjectHasId(ITestContext) - Method in class org.opengis.cite.kml22.level1.KmlDocumentTests
-
[
Test] Verifies that a KML object that is not a descendant of kml:Update is either (a) not empty, or (b) empty but has an 'id' attribute value (so it can be easily updated). - verifyExtendedDataNotEmpty() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:ExtendedData element is not empty. - verifyFolderNotEmpty() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if a kml:Folder element is not a descendant of kml:Update, it is not empty. - verifyGeometryCoordinates() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verify that a kml:coordinates element contains a list of 2D or 3D tuples (separated by white space) that contain comma-separated decimal values (lon,lat[,hgt]). - verifyGeometryExtrude() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that if the kml:extrude element has the value "true", then the value of kml:altitudeMode is not "clampToGround". - verifyGeometryTesselate() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that if the kml:tessellate element has the value "true", then the value of kml:altitudeMode is "clampToGround" (default value). - verifyGroundOverlayHasLatLonBox() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if a kml:GroundOverlay element is not a descendant of kml:Update, it contains a kml:LatLonBox element (with kml:north, kml:south, kml:east, kml:west). - verifyHttpQuery() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:httpQuery element (appearing within a parent link element) contains at least one supported parameter (these are listed below). - verifyIconReferent() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
[
Test] Verifies that the kml:Icon/kml:href element refers to an image resource. - verifyIconStyleNotEmpty() - Method in class org.opengis.cite.kml22.level2.StyleRecommendations
-
[
Test] Verifies that if a kml:IconStyle element is not a descendant of kml:Update, it is not empty. - verifyImagePyramid() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if a kml:ImagePyramid element is not a descendant of kml:Update, it satisfies all of the following constraints: it has the kml:maxWidth and kml:maxHeight child elements; the kml:tileSize value is a power of 2. - verifyImagePyramidInPhotoOverlay() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if a kml:PhotoOverlay element includes a kml:Icon/kml:href element containing [x], [y], and [level] parameters (to accommodate large images), then it also includes a child kml:ImagePyramid element. - verifyItemIconURI() - Method in class org.opengis.cite.kml22.level1.StyleTests
-
[
Test] Verifies that if a kml:ItemIcon element (with parent kml:ListStyle) is not a descendant of kml:Update, then it has a kml:href child element (that specifies the location of the image used in the list view). - verifyKmlDocumentIsNotEmpty() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that the document element (kml:kml) contains at least one child element: kml:NetworkLinkControl or any element that substitutes for kml:AbstractFeatureType. - verifyLabelStyleNotEmpty() - Method in class org.opengis.cite.kml22.level2.StyleRecommendations
-
[
Test] Verifies that if a kml:LabelStyle element is not a descendant of kml:Update, it has at least one of the following child elements: kml:color, kml:colorMode, or kml:scale. - verifyLatLonAltBox() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that the content of a kml:LatLonAltBox element satisfies all of the following constraints: kml:north > kml:south; kml:east > kml:west; kml:minAltitude <= kml:maxAltitude; if kml:minAltitude and kml:maxAltitude are both present, then kml:altitudeMode does not have the value "clampToGround". The default envelope for a region of interest is the entire surface of the EGM96 geoid. - verifyLatLonBox() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that the content of a kml:LatLonBox element satisfies all of the following constraints: it contains the kml:north, kml:south, kml:east, and kml:west elements; kml:north > kml:south; kml:east > kml:west. The default envelope for a kml:GroundOverlay is the entire surface of the WGS 84 ellipsoid. - verifyLinearRing() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:LinearRing element (composing the boundary of a polygon) does not contain any of the following elements: kml:extrude, kml:tessellate, or kml:altitudeMode. - verifyLinearRingIsClosed() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that the kml:coordinates element in a kml:LinearRing geometry contains at least 4 coordinate tuples and that the first and last are identical (i.e. they constitute a closed figure). - verifyLineStringCoordinates() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that the kml:coordinates element in a kml:LineString geometry contains at least two coordinate tuples. - verifyLinkHasHref() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
[
Test] Verifies that if a kml:Link or a kml:Icon element is not a descendant of kml:Update, then it contains a kml:href child element. - verifyLinkReferent() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
[
Test] Verifies that a link element refers to the correct resource type, according to one of the following cases: if the parent element is kml:NetworkLink - a KML or KMZ resource; if the parent element is kml:Model - a textured 3D object resource; if the parent element is kml:GroundOverlay, kml:ScreenOverlay, or kml:PhotoOverlay - an image resource (see ATC 18). - verifyLinkRefresh() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:Link or a kml:Icon element (both of type kml:LinkType) satisfies all of the following constraints: if the kml:refreshInterval element is present, the kml:refreshMode value must be "onInterval"; if the kml:viewRefreshTime element is present, the kml:viewRefreshMode value must be "onStop". - verifyLinkRefreshInterval() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
[
Test] Verifies that a link element (of type kml:LinkType) satisfies the following constraint: if present, the child kml:refreshInterval element has a positive value (> 0). - verifyLinkViewBoundScale() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
[
Test] Verifies that a link element (of type kml:LinkType) satisfies the following constraint: if present, the child kml:viewBoundScale element has a positive value (> 0). - verifyLinkViewRefreshTime() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
[
Test] Verifies that a link element (of type kml:LinkType) satisfies the following constraint: if present, the child kml:viewRefreshTime element has a positive value (> 0). - verifyListStyle() - Method in class org.opengis.cite.kml22.level2.StyleRecommendations
-
[
Test] Verifies that if a kml:ListStyle element is not a descendant of kml:Update, it contains at least one of the following child elements: kml:listItemType, kml:bgColor, or kml:ItemIcon. - verifyLookAt() - Method in class org.opengis.cite.kml22.level1.ViewTests
-
[
Test] Verifies that a kml:LookAt element satisfies all of the following constraints: if it is not a descendant of kml:Update, it contains all of the following child elements: kml:longitude, kml:latitude, and kml:range; 0 <= kml:tilt <= 90; if kml:altitudeMode does not have the value "clampToGround", then the kml:altitude element is present. - verifyModelContent() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
Test] Verifies that the content of a kml:Model element satisfies all of the following constraints: it contains the kml:Link and kml:Location elements; if it is not a descendant of kml:Update and the target resource refers to any texture files, then there must be a kml:ResourceMap/kml:Alias for each related texture file. - verifyModelLocation() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:Location element satisfies all of the following constraints: it contains the kml:longitude and kml:latitude elements; if the parent kml:Model element has a kml:altitudeMode value that is not "clampToGround", then the kml:altitude element is also present. - verifyModelOrientationNotEmpty() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that if a kml:Orientation element is not a descendant of kml:Update, then it contains at least one of the following KML elements: kml:heading, kml:tilt, or kml:roll. - verifyMultiGeometry() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if a kml:MultiGeometry element is not a descendant of kml:Update, it contains two or more geometry elements. - verifyNetworkLinkControlRefresh() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
[
Test] Verifies that the kml:NetworkLinkControl/kml:minRefreshPeriod element has a non-negative value (>=0). - verifyOverlayHasIcon() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if any element that substitutes for kml:AbstractOverlayType (kml:PhotoOverlay, kml:GroundOverlay, kml:ScreenOverlay) is not a descendant of kml:Update, then it contains a kml:Icon child element. - verifyPhoneNumberSyntax() - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
[
Test] Verifies that the value of the kml:phoneNumber element is a 'tel' URI that conforms to RFC 3966. - verifyPhotoOverlay() - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
[
Test] Verifies that if a kml:PhotoOverlay element is not a descendant of kml:Update, then it includes all of the following child elements: kml:Icon, kml:ViewVolume, kml:Point, and kml:Camera. - verifyPlacemarkHasGeometry() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if a kml:Placemark element is not a descendant of kml:Update, it includes a geometry element (any element that substitutes for kml:AbstractGeometryGroup). - verifyPointCoordinates() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that the kml:coordinates element in a kml:Point geometry contains exactly one coordinate tuple. - verifyPolygonBoundary() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that the boundary of a kml:Polygon element satisfies all of the following constraints. - verifyPolyStyle() - Method in class org.opengis.cite.kml22.level2.StyleRecommendations
-
[
Test] Verifies that if a kml:PolyStyle element is not a descendant of kml:Update, it contains at least one of the following elements: kml:color, kml:colorMode, kml:fill, or kml:outline. - verifyRegion() - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
[
Test] Verifies that if a kml:Region element is not a descendant of kml:Update, it contains the kml:LatLonAltBox and kml:Lod elements. - verifyRegionLod() - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
[
Test] Verifies that a kml:Lod element (with parent kml:Region) satisfies all of the following constraints: if it is not a descendant of kml:Update, it contains the kml:minLodPixels element; kml:minLodPixels < kml:maxLodPixels (where a value of -1 denotes positive infinity). - verifyResourceAliasIsUnique() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:ResourceMap element contains at least one kml:Alias child element, and that each Alias element has a unique kml:sourceHref value. - verifyScale() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if a kml:Scale element is not a descendant of kml:Update, it contains at least one of the following elements: kml:x, kml:y, or kml:z. - verifySchemaData() - Method in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
[
Test] Verifies that a kml:SchemaData element satisfies all of the following constraints: the 'schemaUrl' attribute value is a URL with a fragment component that refers to a kml:Schema element; all kml:SimpleData child elements have a 'name' attribute that matches the name of a declared kml:SimpleField element in the corresponding Schema; the values of all kml:SimpleData child elements conform to their declared types. - verifyScreenOverlay() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that if a kml:ScreenOverlay element is not a descendant of kml:Update, then it has a kml:screenXY child element. - verifySharedStyleHasId() - Method in class org.opengis.cite.kml22.level1.StyleTests
-
[
Test] Verifies that if a style element (any element that may substitute for kml:AbstractStyleSelectorGroup) has a parent kml:Document it is a 'shared' style. - verifySimpleField() - Method in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
[
Test] Verifies that a kml:SimpleField element satisfies all of the following constraints: it has a 'name' attribute; the value of the 'type' attribute is one of the following XML Schema data types: xsd:string xsd:int xsd:unsignedInt xsd:short xsd:unsignedShort xsd:float xsd:double xsd:boolean - verifyStyleMap() - Method in class org.opengis.cite.kml22.level1.StyleTests
-
[
Test] Verifies that if a kml:StyleMap/kml:Pair element is not a descendant of kml:Update, then it contains (a) a kml:key element, and (b) at least one of kml:styleURL element or any element that substitutes for kml:AbstractStyleSelectorGroup (kml:Style, kml:StyleMap). - verifyStyleMapPairs() - Method in class org.opengis.cite.kml22.level2.StyleRecommendations
-
[
Test] Verifies that if a kml:StyleMap element is not a descendant of kml:Update, it contains two kml:Pair elements where one key value is "normal" and the other key value is "highlight". - verifyStyleNotEmpty() - Method in class org.opengis.cite.kml22.level2.StyleRecommendations
-
[
Test] Verifies that if a kml:Style element is not a descendant of kml:Update, it is not empty. - verifyStyleReference() - Method in class org.opengis.cite.kml22.level1.StyleTests
-
[
Test] Verifies that a kml:styleUrl element satisfies all of the following constraints: its value is a valid relative or absolute URL that refers to a shared style definition (any element that substitutes for kml:AbstractStyleSelectorGroup); if the reference is an absolute URI, the value conforms to the 'http' or 'file' URI schemes; it includes a fragment identifier conforming to the shorthand pointer syntax as defined in the W3C XPointer framework. A relative URL is resolved according to the reference resolution algorithm described in section 5 of RFC 3986. - verifyTextureFileAliasInModel() - Method in class org.opengis.cite.kml22.level1.SpatialTests
-
[
Test] Verifies that a kml:Alias element (that renames texture file paths found within a source COLLADA file) referenced in a kml:Model) satisfies the following constraints: the value of the child kml:targetHref element is a URI that refers to an image (texture) resource; the value of the child kml:sourceHref element corresponds to a file reference appearing within the 3D object resource referenced in the preceding sibling kml:Link element. - verifyTimeSpan() - Method in class org.opengis.cite.kml22.level1.TemporalElementTests
-
[
Test] Verifies that a TimeSpan element satisfies all of the following constraints: it includes at least one child element (kml:begin or kml:end); if it is a definite interval (both kml:begin and kml:end are present), then the begin value is earlier than the end value. - verifyTimeStamp() - Method in class org.opengis.cite.kml22.level1.TemporalElementTests
-
[
Test] Verifies that a kml:TimeStamp element has a child kml:when element. - verifyUntypedData() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:Data element has both a 'name' attribute and a kml:value child element. - verifyUntypedDataAreUnique() - Method in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
[
Test] Verifies that the value of the 'name' attribute on a kml:Data element is unique within the context of the parent kml:ExtendedData element. - verifyUpdateTargetExists() - Method in class org.opengis.cite.kml22.level1.LinkTests
-
[
Test] Verifies that the value of the kml:Update/kml:targetHref element satisfies all of the following constraints: it is an absolute URL that refers to a KML or KMZ resource; the target resource contains the data to be updated. - verifyViewFormat() - Method in class org.opengis.cite.kml22.level2.Recommendations
-
[
Test] Verifies that a kml:viewFormat element (appearing within a parent link element) contains at least one parameter. - verifyViewVolumeContent() - Method in class org.opengis.cite.kml22.level1.FeatureTests
-
[
Test] Verifies that a kml:ViewVolume element (in kml:GroundOverlay) includes at least the following child elements: kml:leftFov, kml:rightFov, kml:bottomFov, kml:topFov, and kml:near (non-negative value). - verifyXmlSchemaConstraints(ITestContext) - Method in class org.opengis.cite.kml22.level1.KmlDocumentTests
-
[
Test] Verifies that the document satisfies all KML 2.2 schema constraints. - ViewTests - Class in org.opengis.cite.kml22.level1
-
Contains test methods that apply to view elements (kml:Camera, kml:LookAt).
- ViewTests() - Constructor for class org.opengis.cite.kml22.level1.ViewTests
W
- withStandardBindings() - Static method in class org.opengis.cite.kml22.util.NamespaceBindings
-
Creates a NamespaceBindings object that declares the following namespace bindings: ows: "http://www.opengis.net/ows/1.1" xlink: "http://www.w3.org/1999/xlink" gml: "http://www.opengis.net/gml/3.2"
- writeNode(Node, OutputStream) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Writes the content of a DOM Node to a byte stream.
- writeNodeToString(Node) - Static method in class org.opengis.cite.kml22.util.XMLUtils
-
Writes the content of a DOM Node to a String.
X
- XLINK - Static variable in class org.opengis.cite.kml22.Namespaces
-
W3C XLink
- XML_ERROR - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
XML_ERROR="XMLError" - XMLUtils - Class in org.opengis.cite.kml22.util
-
Provides various utility methods for accessing or manipulating XML representations.
- XMLUtils() - Constructor for class org.opengis.cite.kml22.util.XMLUtils
- XPATH_ERROR - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
XPATH_ERROR="XPathError" - XPATH_RESULT - Static variable in class org.opengis.cite.kml22.ErrorMessageKeys
-
Constant
XPATH_RESULT="XPathResult" - XSD - Static variable in class org.opengis.cite.kml22.Namespaces
-
W3C XML Schema
- XSD_JAVA_MAPPINGS - Static variable in class org.opengis.cite.kml22.level1.UserDefinedDataTests
-
Java type mappings for XML Schema datatypes (from JAXB specification).
All Classes and Interfaces|All Packages|Constant Field Values